Create a transfer recipient
curl --request POST \
--url https://developersandbox-api.flutterwave.com/transfers/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bank": {
"account_number": "0690000031",
"code": "044"
}
}
'import requests
url = "https://developersandbox-api.flutterwave.com/transfers/recipients"
payload = { "bank": {
"account_number": "0690000031",
"code": "044"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bank: {account_number: '0690000031', code: '044'}})
};
fetch('https://developersandbox-api.flutterwave.com/transfers/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"bank": {
"account_number": "<string>",
"code": "<string>",
"branch": "<string>",
"name": "<string>",
"routing_number": "<string>",
"swift_code": "<string>",
"sort_code": "<string>"
},
"id": "<string>",
"type": "bank",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"currency": "NGN",
"national_identification": {
"identifier": "FLY5869798686",
"expiration_date": "2029-07-08"
},
"phone": {
"country_code": "234",
"number": "08012345678"
},
"date_of_birth": "<string>",
"email": "hi@flutterwave.com",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
}
}
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "RESOURCE_CONFLICT",
"code": "10409",
"message": "Resource conflict"
}
}Transfer Recipients
Create a transfer recipient
Create a transfer recipient
POST
/
transfers
/
recipients
Create a transfer recipient
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255A unique identifier to prevent duplicate requests. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
Show child attributes
Show child attributes
Was this page helpful?
⌘I